Subject: Re: [IPFIX] FW: [Technical Errata Reported] RFC5477 (2052)

From: Gerhard Muenz <[email-masked]>
Date: Mon, 01 Mar 2010 09:49:09 +0100

Hi all,

If we accept errata 2052 [1], we do not need erratas 2053 to 2059 [2] 
because the examples do not show any reduced size encoding.

[1] http://www.rfc-editor.org/errata_search.php?rfc=5477&eid=2052
[2] http://www.rfc-editor.org/errata_search.php?rfc=5476

Regards,
Gerhard

Romascanu, Dan (Dan) wrote:
>  
> This one is Technical! 
> 
> WG members, please suggest a resolution.
> 
> Thanks and Regards,
> 
> Dan
> 
> -----Original Message-----
> From: Paul Aitken [mailto:[email-masked]] 
> Sent: Friday, February 26, 2010 1:31 AM
> To: RFC Errata System
> Cc: [email-masked]; [email-masked];
> [email-masked]; [email-masked];
> Romascanu, Dan (Dan); [email-masked]; [email-masked];
> [email-masked]
> Subject: Re: [Technical Errata Reported] RFC5477 (2052)
> 
> Errata errata, sigh.
> 
> See inline...
> 
> 
> RFC Errata System wrote:
>> The following errata report has been submitted for RFC5477, 
>> "Information Model for Packet Sampling Exports".
>>
>> --------------------------------------
>> You may review the report below and at:
>> http://www.rfc-editor.org/errata_search.php?rfc=5477&eid=2052
>>
>> --------------------------------------
>> Type: Technical
>> Reported by: Paul Aitken <[email-masked]>
>>
>> Section: 8.1.2
>>
>> Original Text
>> -------------
>> Abstract Data Type:  unsigned16
>>
>> Corrected Text
>> --------------
>> Abstract Data Type:  unsigned32
> 
> "unsigned64".
> 
> P.
> 
>> Notes
>> -----
>> Change selectorID from 16 bits to 64 bits per discussion on the IPFIX
> mailing list:
>>
>>
>> http://www.ietf.org/mail-archive/web/ipfix/current/msg05133.html
>>
>> Instructions:
>> -------------
>> This errata is currently posted as "Reported". If necessary, please 
>> use "Reply All" to discuss whether it should be verified or rejected. 
>> When a decision is reached, the verifying party (IESG) can log in to 
>> change the status and edit the report, if necessary.
>>
>> --------------------------------------
>> RFC5477 (draft-ietf-psamp-info-11)
>> --------------------------------------
>> Title               : Information Model for Packet Sampling Exports
>> Publication Date    : March 2009
>> Author(s)           : T. Dietz, B. Claise, P. Aitken, F. Dressler, G.
> Carle
>> Category            : PROPOSED STANDARD
>> Source              : Packet Sampling
>> Area                : Operations and Management
>> Stream              : IETF
>> Verifying Party     : IESG
> 
> 
> --
> Paul Aitken
> Cisco Systems Ltd, Edinburgh, Scotland.
> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipfix

-- 
Dipl.-Ing. Gerhard Münz
Chair for Network Architectures and Services (I8)
Technische Universität München - Department of Informatics
Boltzmannstr. 3, 85748 Garching bei München, Germany
Phone:  +49 89 289-18008       Fax: +49 89 289-18033
E-mail: [email-masked]    WWW: http://www.net.in.tum.de/~muenz

---

From: Paul Aitken <[email-masked]>
Date: Mon, 01 Mar 2010 10:34:17 +0000

Gerhard,

> [2] http://www.rfc-editor.org/errata_search.php?rfc=5476

Yes we do. As you can see by reading further down the mail, I had a 
brain fart and typed unsigned32 instead of unsigned64.

I've asked RFC editor to fix the errata.

The u64 plan was discussed on the mailing list last year:

http://www.ietf.org/mail-archive/web/ipfix/current/msg05134.html
http://www.ietf.org/mail-archive/web/ipfix/current/msg05135.html
http://www.ietf.org/mail-archive/web/ipfix/current/msg05136.html

Cheers,
P.

---

From: Gerhard Muenz <[email-masked]>
Date: Mon, 01 Mar 2010 13:42:44 +0100

Paul,

> brain fart and typed unsigned32 instead of unsigned64.

Yes, sorry, I only your mail after sending my comment to the list.

> http://www.ietf.org/mail-archive/web/ipfix/current/msg05136.html

I know that it was discussed, there was no final conclusion.

Maybe you want to respond to my recent mail:
http://www.ietf.org/mail-archive/web/ipfix/current/msg05311.html

Regards,
Gerhard

---

From: Paul Aitken <[email-masked]>
Date: Mon, 01 Mar 2010 13:50:17 +0000

Gerhard,

> As you can see by reading further down the mail, I had a 

RFC editor has now fixed the errata:

Section 8.1.2 says:

It should say:

   Abstract Data Type:  unsigned64

Cheers,
P.